Name:           htmlunit
Version:        2.20
Release:        %mkrel 1
Group:          Development/Java
Summary:        A headless web browser for automated testing
License:        ASL 2.0 
URL:            http://htmlunit.sourceforge.net/
# Source0:        http://downloads.sourceforge.net/htmlunit/%%{name}-%%{version}-src.zip
# Steps for generate the archive:
# svn checkout svn://svn.code.sf.net/p/htmlunit/code/tags/HtmlUnit-2.20/  htmlunit-2.20
# Cleanup, remove unused test resources (taraball become more lightweight: 60MB >> 24MB)
# find htmlunit-2.20 -name '*.jar' -print -delete
# find htmlunit-2.20 -name '*.js' -print -delete 
# find htmlunit-2.20 -name '*.class' -print -delete
# find htmlunit-2.20 -name '*.dll' -print -delete
# find htmlunit-2.20 -name '*.exe' -print -delete
# find htmlunit-2.20 -name '*.gz' -print -delete
# find htmlunit-2.20 -name 'php-cgi' -print -delete
# rm -rf htmlunit-2.20/src/test/resources/libraries
# rm -rf htmlunit-2.20/src/test/resources/pjl-comp-filter
# tar cJf htmlunit-2.20.tar.xz htmlunit-2.20

Source0:        %{name}-%{version}.tar.xz

# javascript not allowed in javadoc
Patch0:         htmlunit-2.20-javascript.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(net.sourceforge.cssparser:cssparser)
BuildRequires:  mvn(net.sourceforge.htmlunit:htmlunit-core-js)
BuildRequires:  mvn(net.sourceforge.nekohtml:nekohtml)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.httpcomponents:httpmime)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.eclipse.jetty.websocket:websocket-client)
BuildRequires:  mvn(xalan:xalan)
BuildRequires:  mvn(xalan:xsltc)
BuildRequires:  mvn(xerces:xercesImpl)

BuildArch:      noarch

%description
HtmlUnit is a "GUI-Less browser for Java programs". It models HTML 
documents and provides an API for automated testing of
web applications. 

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
#find -name '*.jar' -print -delete 
#find -name '*.class' -print -delete

%patch0 -p1

%pom_xpath_remove "pom:build/pom:extensions"

%pom_xpath_set "pom:packaging" bundle
%pom_xpath_remove "pom:Embed-Dependency"

# unwanted plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-eclipse-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-scm-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin

# Unavailable test deps
%pom_remove_dep :gsbase
%pom_remove_dep org.seleniumhq.selenium:
%pom_xpath_remove "pom:dependency[pom:type = 'test-jar']"
# org.apache.httpcomponents:httpclient:4.1.2:test-jar
%pom_xpath_remove "pom:project/pom:dependencies/pom:dependency[pom:scope = 'test']"

%pom_add_dep xalan:xsltc:2.7.1

%mvn_file : %{name}

%build

# enabling tests would require packaging some selenium plugins
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt




%changelog
* Wed May 17 2017 neoclust <neoclust> 2.20-1.mga6
+ Revision: 1102655
- New version 2.20

* Fri Feb 03 2017 daviddavid <daviddavid> 2.19-5.mga6
+ Revision: 1084644
- add patch to fix FTBFS

* Wed Mar 02 2016 neoclust <neoclust> 2.19-4.mga6
+ Revision: 982635
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.19-3.mga6
+ Revision: 976400
- First rebuild of the java stack
- sync package htmlunit with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 2.9-10.mga5
+ Revision: 807158
- rebuild for new sonatype-oss-parent

* Wed Oct 15 2014 umeabot <umeabot> 2.9-9.mga5
+ Revision: 745145
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Dec 20 2013 dmorgan <dmorgan> 2.9-7.mga4
+ Revision: 559185
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 20 2013 dmorgan <dmorgan> 2.9-3.mga3
+ Revision: 389884
- imported package htmlunit


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 02 2011 Andy Grimm <agrimm@gmail.com> - 2.9-1
- Initial package
